<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="MODULES-HEAD-EDIT">
<script type='text/javascript' language='javascript'>
alert_str_array = new Array();
alert_str_array['own_rss_channel_is_not_specified'] = "<xsl:value-of select='//ALERT_OWN_RSS_CHANNEL_IS_NOT_SPECIFIED'/>";
alert_str_array['own_channel_title_empty'] = "<xsl:value-of select='//ALERT_OWN_CHANNEL_TITLE_EMPTY'/>";
alert_str_array['own_channel_url_empty'] = "<xsl:value-of select='//ALERT_OWN_CHANNEL_URL_EMPTY'/>";
alert_str_array['own_channel_url_not_valid'] = "<xsl:value-of select='//ALERT_OWN_CHANNEL_URL_NOT_VALID'/>";
</script>
<script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/rssreader.js'>void(1);</script>
</xsl:template>

<xsl:template name="MODULES-FIRST-TAG-EDIT">
</xsl:template>

<xsl:template name="MODULES-BODY-EDIT">

<xsl:for-each select="/*/CONTENT-AREA/REPCSS">
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:value-of select="@NAME"/>);</style>
</xsl:for-each>
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/>/modules/<xsl:value-of select="$SB_modules"/>/style.css);</style>
<style type="text/css">@import url(<xsl:value-of select="$baseURL" />/skins/<xsl:value-of select="$sb_skin" />/module_wysiwyg.css);</style>

<xsl:apply-templates select="//RSSEDITOR"/>

<script language="javascript">
<xsl:apply-templates select="//JavaShop"/>
</script>
</xsl:template>

<xsl:template match="RSSEDITOR">
<table cellpadding="0" cellspacing="10" width="100%">
<tr>
<td>
<xsl:apply-templates select="GUI-TABPANEL"/>
</td>
</tr>
</table>
</xsl:template>

<xsl:template match="PREVIEW_T">
	<link rel="stylesheet" type="text/css">
		<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>css/styles.css</xsl:attribute>	
	</link>
<div id="m_rss_div" name="m_rss_div" class="ModulePageDiv"></div>
<script type="text/javascript" language="javascript">
    var mascss = new Array();
    <xsl:for-each select="/*/CONTENT-AREA/REPCSS">
        mascss[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
        i=<xsl:value-of select="@ID"/>;
    </xsl:for-each>
    var masimg = new Array();
    <xsl:for-each select="/*/CONTENT-AREA/REPIMG">
        masimg[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
        i=<xsl:value-of select="@ID"/>;
    </xsl:for-each>
    doPreviewModulesBild('<xsl:apply-templates select="//CONTA" />','<xsl:apply-templates select="//CONTV" />', __base__URL+'<xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>', mascss, masimg);
</script>
</xsl:template>

<xsl:template match="GUI-FORM[@TYPE='rss_channel_list']">
<form> 
<xsl:apply-templates select="GUI-FORM-ATTRIBUTE"/>
<xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>
<xsl:call-template name="CHANNELLIST"/>
</form>
</xsl:template>

<xsl:template name="CHANNELLIST">
<div style="overflow:auto;" id="rss_div">
<table width="100%" cellpadding="0" cellspacing="0">
<tr>
<td width="80%" valign="top">
<table cellpadding="2" cellspacing="0" style="border:1px solid #EFEFEF; border-collapse:collapse;">
<xsl:for-each select="//opml/body/outline">
<xsl:if test="position() mod 5 = 1">
<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
</xsl:if>
<td class="border_td"  valign="top">
<xsl:call-template name="CHANNELCART"/>
</td>
<xsl:if test='position()=last()'>
<td class="border_td">
<xsl:call-template name="OWNCHANNELCART"/>
</td>
</xsl:if>
<xsl:if test="position() mod 5 = 0">
<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
</xsl:if>
</xsl:for-each>
</table>
<!--</div>-->
</td>
<td valign='middle' style="padding-left: 10px;height:100%;"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%;"/></td>
<td width="20%" class="modules_genpages" style="padding-left: 10px;" valign="top"><xsl:value-of select="//LEGEND/CHANNEL_DESCR"/></td>
</tr>
</table>
</div>
</xsl:template>

<xsl:template name="CHANNELCART">
<table cellpadding="0" cellspacing="0">
<tr>
<td valign="top">
<input type="radio" name="channel_id" onclick="document.forms[0].sb_changes.value=1;">
<xsl:attribute name="id">rss_<xsl:value-of select='@id'/></xsl:attribute>
<xsl:if test="//RSS_READER_DATA/@id = @id">
<xsl:attribute name="checked">true</xsl:attribute>
</xsl:if>
<xsl:attribute name="value">
<xsl:value-of select='@id'/>
</xsl:attribute>
</input>
</td>
<td>
<a href="javascript:void(1)" class="channel_label">
<xsl:attribute name="onclick">document.forms[0].sb_changes.value=1;document.getElementById("rss_<xsl:value-of select='@id'/>").checked=true;</xsl:attribute>
<xsl:choose>
<xsl:when test="@icon!=''">
<img border="0" width="88">
<xsl:if test="@icon_h">
<xsl:attribute name="height"><xsl:value-of select='@icon_h'/></xsl:attribute>
</xsl:if>
<xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/modules/<xsl:value-of select="$SB_modules"/>/feeds/icons/<xsl:value-of select='@icon'/></xsl:attribute>
<xsl:attribute name="title"><xsl:value-of select='@title'/></xsl:attribute>
</img>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select='@title'/>
</xsl:otherwise>
</xsl:choose>
</a>
</td>
</tr>
</table>
</xsl:template>

<xsl:template name="OWNCHANNELCART">
<table cellpadding="0" cellspacing="0">
<tr>
<td valign="top">
<input type="radio" name="channel_id" value="own" id="rss_own">
<xsl:choose>
<xsl:when test="//RSS_READER_DATA/@own_xmlUrl=''">
<xsl:attribute name="disabled">true</xsl:attribute>
<xsl:attribute name="onclick">alert(alert_str_array['own_rss_channel_is_not_specified']);this.checked=false;</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="onclick">document.forms[0].sb_changes.value=1;</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="//RSS_READER_DATA/@id = 'own'">
<xsl:attribute name="checked">true</xsl:attribute>
</xsl:if>
</input>
</td>
<td>
<a href="javascript:void(1)" class="channel_label">
<xsl:choose>
<xsl:when test="//RSS_READER_DATA/@own_xmlUrl!=''">
<xsl:attribute name="onclick">document.forms[0].sb_changes.value=1;document.getElementById("rss_own").checked=true;</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="onclick">alert(alert_str_array['own_rss_channel_is_not_specified']);</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<span class="own_channel_label"><xsl:value-of select='//LEGEND/OWN_CHANNEL'/></span>
</a>
</td>
</tr>
</table>
</xsl:template>

</xsl:stylesheet>
